summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Gustavo Conrad2020-05-09 13:48:22 +0200
committer Willy Sudiarto Raharjo2020-05-10 03:36:57 +0200
commit8f8802d35e6daf4913e92179aa02b4b75ce270f1 (patch)
treecdf1af3969c1bc0feee8181eb6b3ffec8c42c92f /ham
parent8e29685ddaeb618d0e1e99ea6a6b0e1041c746ae (diff)
downloadslackbuilds-8f8802d35e6daf4913e92179aa02b4b75ce270f1.tar.gz
ham/ax25-tools: Added (AX.25 Packet radio supporting tools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/ax25-tools/README8
-rw-r--r--ham/ax25-tools/ax25-tools.SlackBuild112
-rw-r--r--ham/ax25-tools/ax25-tools.info10
-rw-r--r--ham/ax25-tools/doinst.sh20
-rw-r--r--ham/ax25-tools/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/ham/ax25-tools/README b/ham/ax25-tools/README
new file mode 100644
index 0000000000..8bc9b57fad
--- /dev/null
+++ b/ham/ax25-tools/README
@@ -0,0 +1,8 @@
+ax25-tools AX.25 Packet radio support for linux (additional tools)
+
+The AX.25 protocol offers both connected and connectionless modes of operation,
+and is used either by itself for point-point links, or to carry other protocols such as TCP/IP and NET/ROM.
+
+It is similar to X.25 level 2 in structure, with some extensions to make it more useful in the amateur radio environment.
+These are hamradio specific tools for setting up and configuring hamradio ports that use AX.25 Net/ROM or ROSE network protocols.
+
diff --git a/ham/ax25-tools/ax25-tools.SlackBuild b/ham/ax25-tools/ax25-tools.SlackBuild
new file mode 100644
index 0000000000..a9e304b6e1
--- /dev/null
+++ b/ham/ax25-tools/ax25-tools.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for ax25-tools
+
+# Copyright 2019,2020 Gustavo Conrad, Argentina.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ax25-tools
+VERSION=${VERSION:-0.0.10_rc5}
+SRCVER=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install DESTDIR=$PKG
+make installconf DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ AUTHORS \
+ COPYING \
+ ChangeLog \
+ NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/etc/ax25/ax25.profile $PKG/etc/ax25/ax25.profile.new
+mv $PKG/etc/ax25/rxecho.conf $PKG/etc/ax25/rxecho.conf.new
+mv $PKG/etc/ax25/nrbroadcast $PKG/etc/ax25/nrbroadcast.new
+mv $PKG/etc/ax25/ttylinkd.conf $PKG/etc/ax25/ttylinkd.conf.new
+mv $PKG/etc/ax25/ax25d.conf $PKG/etc/ax25/ax25d.conf.new
+mv $PKG/etc/ax25/rip98d.conf $PKG/etc/ax25/rip98d.conf.new
+mv $PKG/etc/ax25/axspawn.conf $PKG/etc/ax25/axspawn.conf.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/ax25-tools/ax25-tools.info b/ham/ax25-tools/ax25-tools.info
new file mode 100644
index 0000000000..f059277192
--- /dev/null
+++ b/ham/ax25-tools/ax25-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="ax25-tools"
+VERSION="0.0.8_rc5"
+HOMEPAGE="http://www.linux-ax25.org/wiki/Main_Page"
+DOWNLOAD="http://www.linux-ax25.org/pub/ax25-tools/ax25-tools-0.0.10-rc5.tar.gz"
+MD5SUM="b8cf1495820c445013c3776babcd057d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libax25"
+MAINTAINER="Gustavo Conrad"
+EMAIL="gus3963@gmail.com"
diff --git a/ham/ax25-tools/doinst.sh b/ham/ax25-tools/doinst.sh
new file mode 100644
index 0000000000..1d4adb7a35
--- /dev/null
+++ b/ham/ax25-tools/doinst.sh
@@ -0,0 +1,20 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ax25/ax25.profile.new
+config etc/ax25/rxecho.conf.new
+config etc/ax25/nrbroadcast.new
+config etc/ax25/ttylinkd.conf.new
+config etc/ax25/ax25d.conf.new
+config etc/ax25/rip98d.conf.new
+config etc/ax25/axspawn.conf.new
diff --git a/ham/ax25-tools/slack-desc b/ham/ax25-tools/slack-desc
new file mode 100644
index 0000000000..bc8b6f4842
--- /dev/null
+++ b/ham/ax25-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ax25-tools: ax25-tools (AX.25 Packet radio supporting tools)
+ax25-tools:
+ax25-tools: Layer 2/3 networking implementation for the linux kernel.
+ax25-tools: See the AX25 Linux HOWTO for details.
+ax25-tools: These are hamradio specific tools for setting up and configuring
+ax25-tools: hamradio ports that use AX.25 Net/ROM or ROSE network protocols.
+ax25-tools:
+ax25-tools:
+ax25-tools: Homepage: http://www.linux-ax25.org/wiki/Main_Page
+ax25-tools:
+ax25-tools: